> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acturehub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取最新投资人对练报告

> Return the newest report snapshot for mini-program and integration reads.



## OpenAPI

````yaml /specs/bp-agent.openapi.json get /api/open/investor-rehearsal/projects/{project_id}/reports/latest
openapi: 3.1.0
info:
  title: BP-Agent Open API
  description: BP-Agent 对外 API：PDF 上传、异步诊断、结果下载及专项业务能力。所有接口使用租户 API Token 鉴权。
  contact:
    name: BP Agent 开发团队
    email: support@bpagent.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  version: 1.0.0
servers:
  - url: https://bptest.mapleai.cc
    description: 测试环境（仅 relay 上传）
  - url: https://project.mapleai.cc
    description: 生产环境（OSS；STS 直传需服务端启用）
security: []
paths:
  /api/open/investor-rehearsal/projects/{project_id}/reports/latest:
    get:
      tags:
        - 开放接口 / Open Investor Rehearsal
      summary: 获取最新投资人对练报告
      description: >-
        Return the newest report snapshot for mini-program and integration
        reads.
      operationId: >-
        get_latest_open_investor_rehearsal_report_api_open_investor_rehearsal_projects__project_id__reports_latest_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse_dict_str__Any__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SuccessResponse_dict_str__Any__:
      properties:
        code:
          type: integer
          title: Code
          description: 响应码，成功时为0
          default: 0
        message:
          type: string
          title: Message
          description: 成功消息
          default: 操作成功
        data:
          type: object
          title: Data
          description: 响应数据
        timestamp:
          anyOf:
            - type: integer
            - type: 'null'
          title: Timestamp
          description: 响应时间戳（可选）
      type: object
      title: SuccessResponse[dict[str, Any]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````